#include "ohbbhlp.h"

int main()
{
  char *jpstr = "\xc1\x79\x6f\x30\xd3\x97\xfd\x56\xba\x4e\x67\x30\x59\x30\x02\x30\x00\x00";
  char *krstr = "\x98\xb0\x94\xb2\x20\x00\x5c\xd5\x6d\xad\x78\xc7\x85\xc7\xc8\xb2\xe4\xb2\x2e\x00\x00\x00";
  const OHBTRANS *tr;
  int n;
  const OHBSETTING *arrSettings;
  char result[1024];

  /* stress test */
  for (;;)
  {
    printf("1\n");
    OhbInit(OHBID_EZTR_JK);
    printf("2\n");
    OhbInit(OHBID_EZTR_KJ);
    printf("3\n");
    OhbInit(OHBID_BABEL_JK);
    printf("4\n");
    OhbInit(OHBID_BABEL_KJ);
    printf("5\n");

    arrSettings = OhbGetSettings(&n);
    printf("6\n");

    tr = OhbTrans((LPCWSTR)jpstr, &arrSettings[OHBID_EZTR_JK]);
    WideCharToMultiByte(949, 0, tr->lpStr, -1, result, sizeof(result), 0, 0);
    printf("%s\n", result);
    OhbFree(tr);
    printf("7\n");

    tr = OhbTrans((LPCWSTR)krstr, &arrSettings[OHBID_EZTR_KJ]);
    WideCharToMultiByte(949, 0, tr->lpStr, -1, result, sizeof(result), 0, 0);
    printf("%s\n", result);
    OhbFree(tr);
    printf("8\n");

    tr = OhbTrans((LPCWSTR)jpstr, &arrSettings[OHBID_BABEL_JK]);
    WideCharToMultiByte(949, 0, tr->lpStr, -1, result, sizeof(result), 0, 0);
    printf("%s\n", result);
    OhbFree(tr);
    printf("9\n");

    tr = OhbTrans((LPCWSTR)krstr, &arrSettings[OHBID_BABEL_KJ]);
    WideCharToMultiByte(949, 0, tr->lpStr, -1, result, sizeof(result), 0, 0);
    printf("%s\n", result);
    OhbFree(tr);
    printf("10\n");

    OhbDestroy(OHBID_EZTR_JK);
    OhbDestroy(OHBID_EZTR_KJ);
    OhbDestroy(OHBID_BABEL_JK);
    OhbDestroy(OHBID_BABEL_KJ);

    printf("Sleep\n");
    Sleep(500);
  }

  return 0;
}
